B2 genup users - please add the following masks pro tem

Discuss development on Bubba
Post Reply
sakaki
Posts: 172
Joined: 15 Aug 2014, 11:20

B2 genup users - please add the following masks pro tem

Post by sakaki » 07 Oct 2017, 18:43

Hello,

if you are using my isshoni.org binhost to supply binary packages for your Bubba|2 box (running gentoo-on-b2), please add the following masks:

Code: Select all

b2 ~ # echo ">=dev-python/pyopenssl-17.2.0" >> /etc/portage/package.mask/pyopenssl
b2 ~ # echo ">=dev-python/cryptography-1.9" >> /etc/portage/package.mask/cryptography
(The newest versions of these packages are causing build problems, because they are incompatible with the "bindist" USE flag.)

Then re-issue genup (if you have had a recent invocation that failed).

Of course, if you have bindist deselected on your box (globally), no action is required.

I (still) hope to provide a custom profile and weekly-gated rsync mirror for the B2 (as is in place for my B3 and 64-bit RPi3 Gentoo images) at some point in the future, which will avoid having to manually propagate these kinds of edits. Unfortunately I only have one B2 box (and it is in use for other things) so there isn't much bandwidth for testing.

Apologies for any inconvenience caused.

Best, sakaki

Post Reply